Subject: Re: WTB - Lathe and Milling Machine - Texas

From: [email-masked] (Russ Kepler)
Date: Sun, 16 Jun 1996 03:23:03 GMT

In article <[email-masked]>,
Marty Jones <[email-masked]> wrote:
> Alternatively, what do you think of the "universal Taiwanese tools"
> that seem to be sold under several labels such as Jet, Enco, Central
> Machinery, etc?  The prices seem pretty fair for new equipment, but do
> real machinists consider them to be junk?

I'd say that the quality of the Jet equipment is well above that of
the Enco or Central Machinery (Harbor Freight) lines.  In fact, I did
buy one of the Harbor Freight horizontal bandsaws at $200 including
shipping, and after comparing it with a local $280 Jet in the same
size I'd buy the Jet.

A friend has a Jet lathe and it's pretty nice, well above the Encos
I've seen, about the same quality as the MSC import lathes.

-- 
Russ Kepler posting from home  [email-masked]

                      Please don't feed the Engineers